import request from '@/utils/request'

// 查询区域树
export function areaTree(params) {
  return request({
    url: `/system/area/tree`,
    method: "get",
    params
  });
}

// 修改区域
export function systemArea(data) {
  return request({
    url: `/system/area`,
    method: "put",
    data
  });
}
// 新增区域
export function systemAreaAdd(data) {
  return request({
    url: `/system/area`,
    method: "post",
    data
  });
}

// 删除区域
export function systemAreaDel(data) {
  return request({
    url: `/system/area/${data}`,
    method: "delete"
  });
}